
MON=1 OSD=2 MDS=0 MGR=1 RGW=0 NFS=0 ../src/vstart.sh -l -n
sleep 5
./bin/ceph osd pool create test --pg_num=1 --autoscale_mode=off --size=1
PGID=$(./bin/ceph --format=json-pretty pg ls-by-pool test |jq -r '.pg_stats[].pgid')
echo PG=${PGID}
#move 1=>0 just to be sure
./bin/ceph osd pg-upmap-items ${PGID} 1 0
sleep 10
truncate -s 50M 50M
truncate -s 4K 4K
./bin/rados -p test put obiekt-0 50M
./bin/rados -p test put plika 50M
./bin/rados -p test mksnap snap-1
head -c 4K /dev/urandom >4Kr
./bin/rados -p test put obiekt-0 4K --offset $((100 * 1024))
./bin/rados -p test put plika 4K --offset $((100 * 1024))
./bin/rados -p test mksnap snap-2

sleep 10
./bin/ceph osd df
./bin/ceph osd pg-upmap-items ${PGID} 0 1
sleep 10
./bin/ceph osd df

